matrix:
  platform:
  - ubuntu2204
  - ubuntu2404
  - ubuntu2404_arm64
  - debian11
  - macos
  - macos_arm64
  - windows
  bazel: [8.x, 9.x, rolling]
tasks:
  verify_targets:
    name: Verify build targets
    platform: ${{ platform }}
    bazel: ${{ bazel }}
    build_targets:
      - '@sdl2_mixer'
      - '@sdl2_mixer//:sdl2_mixer_headers'
      - '@sdl2_mixer//:sdl2_mixer_headers_consumer_compile_test'
      - '@sdl2_mixer//:sdl2_mixer_consumer_link_test'
    test_targets:
      - '@sdl2_mixer//:sdl2_mixer_headers_consumer_compile_test'
      - '@sdl2_mixer//:sdl2_mixer_consumer_link_test'
